- GET /monitoring/emergency-by-count#
Get a list of emergencies by count stored by the auditor.
The following query parameters are optional, and can be used to customise the response:
Request:
- Query Parameters:
limit – A signed integer, indicating how many elements relative to the offset query parameter should be returned. The default value is -20.
offset – An unsigned integer, indicating from which row onward to return elements. The default value is INT_MAX.
return_suppressed – A boolean. If true, returns all eligible rows, otherwise only returns eligible rows that are not suppressed. The default value is false.
With the default settings, the endpoint returns at most the 20 latest elements that are not suppressed.
Response:
- 200 OK:
The auditor responds with a top level array of EmergencyByCount objects.
Details:
interface EmergencyByCount { // Row ID of the fee in the exchange database. row_id : Integer; // Hash of the public denomination key to which the // emergency applies. denompub_h : HashCode; // Number of coins the exchange officially issued of this // denomination. num_issued : Integer; // Number of coins that were redeemed. num_known : Integer; // What is the total value of all coins of this denomination that // were put into circulation (and thus the maximum loss the // exchange may experience due to this emergency). risk : Amount; // When did the exchange start issuing coins in this the denomination. start : Timestamp; // When does the deposit period end for coins of this denomination. deposit_end : Timestamp; // What is the value of an individual coin of this denomination. value : Amount; // True if this diagnostic was suppressed. suppressed : boolean; }
Note
This endpoint is still experimental. The endpoint will be further developed as needed.